//
//  GzViewController.h
//  Twitter Search Example
//
//  Created by Geenz on 7/18/13.
//  Copyright (c) 2013 Geenz. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Accounts/Accounts.h>
#import <Social/Social.h>

@interface GzViewController : UITableViewController <UISearchBarDelegate, NSURLConnectionDelegate>

@property (nonatomic, strong) ACAccountStore* accountStore;
@property (nonatomic, strong) NSMutableArray* results;
@property (nonatomic, strong) NSURLConnection* connection;
@property (nonatomic, strong) NSMutableData* requestData;
@property (nonatomic, strong) NSString* searchTerm;
@property (nonatomic, strong) NSURL* apiURL;
- (BOOL) userHasAccessToTwitter;
- (void) displayNoTwitterError;

// This will return nil if no results are found (or if no twitter account is associated with the device).
- (void) requestTwitterSearch:(NSString*)term;

@end
